#ifndef DALI_TAP_GESTURE_DEVEL_H
#define DALI_TAP_GESTURE_DEVEL_H

/*
 * Copyright (c) 2020 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

// INTERNAL INCLUDES
#include <dali/public-api/events/tap-gesture.h>

namespace Dali
{
namespace DevelTapGesture
{
/**
 * @brief Creates an initialized TapGesture.
 *
 * @param[in] state The state of the TapGesture
 * @return A handle to a newly allocated Dali resource
 */
DALI_CORE_API TapGesture New(GestureState state);

} // namespace DevelTapGesture

} // namespace Dali

#endif // DALI_TAP_GESTURE_DEVEL_H
